Skip to main content
`Ctrl`+`K`

# PetscDSSetForceQuad

Set the flag to force matching quadratures among the field discretizations

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetForceQuad(PetscDS ds, PetscBool forceQuad)

Logically collective on ds

## Input Parameters

- ds - The `PetscDS` object

- forceQuad - The flag

## See Also

`PetscDS`, `PetscDSGetForceQuad()`, `PetscDSGetDiscretization()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages